hdcp22_rx: Data Structures

| hdcp22_rx Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

XHdcp22_Rx | The XHdcp driver instance data
XHdcp22_Rx_AKEInit | This typedef is the AKE_Init message definition
XHdcp22_Rx_AKENoStoredKm | This typedef is the AKE_No_Stored_km message definition
XHdcp22_Rx_AKESendCert | This typedef is the AKE_Send_Cert message definition
XHdcp22_Rx_AKESendHPrime | This typedef is the AKE_Send_H_prime message definition
XHdcp22_Rx_AKESendPairingInfo | This typedef is the AKE_Send_Pairing_Info message definition
XHdcp22_Rx_AKEStoredKm | This typedef is the AKE_Stored_km message definition
XHdcp22_Rx_CertRx | This typedef is the DCP public certificate definition
XHdcp22_Rx_Config | This typedef contains configuration information for the device
XHdcp22_Rx_Handles | This typedef is used to store handles to function pointers
XHdcp22_Rx_Info | This typedef provides information about status of HDCP-RX authentication
XHdcp22_Rx_KprivRx | This typedef is the RSA private key quintuple definition
XHdcp22_Rx_KpubRx | This typedef is the RSA public key definition
XHdcp22_Rx_LCInit | This typedef is the LC_Init message definition
XHdcp22_Rx_LCSendLPrime | This typdef is the LC_Send_L_prime message definition
XHdcp22_Rx_Log | This typedef contains the HDCP22 log list
XHdcp22_Rx_LogItem | This typedef is used to store logging events
XHdcp22_Rx_Message | This typedef is the union of all the message types
XHdcp22_Rx_Parameters | This typedef is used to store temporary parameters for computations
XHdcp22_Rx_RepeaterAuthSendAck | This typedef is the RepeaterAuth_Send_Ack message definition
XHdcp22_Rx_RepeaterAuthSendRxIdList | This typedef is the RepeaterAuth_Send_RceiverID_List message definition
XHdcp22_Rx_RepeaterAuthStreamManage | This typedef is the RepeaterAuth_Stream_Manage message definition
XHdcp22_Rx_RepeaterAuthStreamReady | This typedef is the RepeaterAuth_Stream_Ready message definition
XHdcp22_Rx_SKESendEks | This typedef is the SKE_Send_Eks message definition
XHdcp22_Rx_Test | This typedef is the test structure used for standalone driver testing
XHdcp22_Rx_TestDdcReg | This typedef is the test DDC register definition
XHdcp22_Rx_Topology | This typedef is the repeater topology table used to communicate topology information to the receiver upstream interface